=== debian/changelog ===
doxysphinx (3.3.12-6) unstable; urgency=medium

  * Remove patch disabling sphinx-needs
  * Adding dependancy on python3-sphinx-needs

 -- Christian Bayle <bayle@debian.org>  Thu, 15 May 2025 00:24:18 +0200

doxysphinx (3.3.12-4) unstable; urgency=medium

  * Fix missing json5 and mpire dependencies (Closes: #1103546)
  * Mark some patch as not needed

 -- Christian Bayle <bayle@debian.org>  Sun, 27 Apr 2025 14:43:01 +0200

doxysphinx (3.3.12-3) unstable; urgency=medium

  * Use pybuild autopkgtest

 -- Christian Bayle <bayle@debian.org>  Mon, 14 Apr 2025 14:50:10 +0200

doxysphinx (3.3.12-2) unstable; urgency=medium

  * Remove unreproducible meta tag

 -- Christian Bayle <bayle@debian.org>  Mon, 14 Apr 2025 13:47:55 +0200

doxysphinx (3.3.12-1) unstable; urgency=medium

  * Set dependancy on python3-sphinxcontrib.doxylink version
  * Source upload and release
  * Add dependancy on python3-matplotlib, python3-sphinx
  * Fix available extensions in conf.py

 -- Christian Bayle <bayle@debian.org>  Sat, 12 Apr 2025 23:05:14 +0200

doxysphinx (3.3.12-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1099948)

 -- Christian Bayle <bayle@debian.org>  Thu, 13 Mar 2025 22:17:13 +0100
