=== debian/control ===
Source: doxysphinx
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christian Bayle <bayle@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-sphinxdoc,
 dh-sequence-python3,
 node-fortawesome-fontawesome-free,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-poetry,
 python3-poetry-core,
 python3-pytest-cov,
 python3-pytest-emoji,
 python3-sphinxcontrib.plantuml,
 python3-sphinx-autoapi,
 python3-myst-parser,
 python3-sphinx-copybutton,
 python3-sphinxcontrib.doxylink (>=1.13),
 python3-sphinx-design,
 python3-sphinx-book-theme (>=1.1.4),
 python3-matplotlib,
 python3-sphinx,
 python3-sphinx-needs,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.0
Homepage: https://github.com/boschglobal/doxysphinx
Vcs-Browser: https://salsa.debian.org/python-team/packages/doxysphinx
Vcs-Git: https://salsa.debian.org/python-team/packages/doxysphinx.git

Package: python3-doxysphinx
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-json5,
 python3-mpire,
Suggests:
 python-doxysphinx-doc,
Description: Lightweight Doxygen extension for Sphinx
 Doxysphinx is a Doxygen and Sphinx integration tool.
 .
 It is an easy-to-use cli tool and typically runs right after Doxygen
 generation. It reuses the Doxygen generated HTML output and integrates it into
 Sphinx document generation. With this, Doxysphinx supports all known Doxygen
 features and at the same time integrates well with the Sphinx output (for
 example, Sphinx-Themes, search etc.). Doxysphinx, also supports restructured
 text (rST) annotations within C++ files.
 .
 Internally, Doxysphinx creates an rST file for each (Doxygen) HTML file and
 includes the HTML using .. raw:: html directive. Later Sphinx picks up these
 rST files and creates an integrated documentation.
 .
 This package installs the library for Python 3.

Package: python-doxysphinx-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: Lightweight Doxygen extension for Sphinx (doc)
 Doxysphinx is a Doxygen and Sphinx integration tool.
 .
 It is an easy-to-use cli tool and typically runs right after Doxygen
 generation. It reuses the Doxygen generated HTML output and integrates it into
 Sphinx document generation. With this, Doxysphinx supports all known Doxygen
 features and at the same time integrates well with the Sphinx output (for
 example, Sphinx-Themes, search etc.). Doxysphinx, also supports restructured
 text (rST) annotations within C++ files.
 .
 Internally, Doxysphinx creates an rST file for each (Doxygen) HTML file and
 includes the HTML using .. raw:: html directive. Later Sphinx picks up these
 rST files and creates an integrated documentation.
 .
 This is the common documentation package.
