=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=doxysphinx

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	./ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman \
	./ build/man # Manpage generator

override_dh_clean:
	dh_clean
	-rm -rf docs/auto_api/
